package nl.amis.action;

import net.sourceforge.stripes.action.ActionBean;
import net.sourceforge.stripes.action.ActionBeanContext;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.ajax.JavaScriptResolution;
import nl.amis.domain.Employee;

public class FormActionBean implements ActionBean {

    private ActionBeanContext context;

    private int id;

    public Resolution submit() {
        Employee emp = new Employee();
        emp.setId(this.id);
        emp.setDeptNo(20);
        emp.setFunctionName("CLERK");
        emp.setName("KING");

        return new JavaScriptResolution(emp);
    }

    public void setContext(ActionBeanContext context) {
        this.context = context;
    }

    public ActionBeanContext getContext() {
        return context;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }
}
